package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class FeishuApprovalInstanceTaskListFactory
{
    private FeishuApprovalInstanceTaskListFactory()
    {
    }
    public static IFeishuApprovalInstanceTaskList getRemoteInstance() throws BOSException
    {
        return (IFeishuApprovalInstanceTaskList)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6C382FE4") , IFeishuApprovalInstanceTaskList.class);
    }
    
    public static IFeishuApprovalInstanceTaskList getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (IFeishuApprovalInstanceTaskList)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6C382FE4") , IFeishuApprovalInstanceTaskList.class, objectCtx);
    }
    public static IFeishuApprovalInstanceTaskList getLocalInstance(Context ctx) throws BOSException
    {
        return (IFeishuApprovalInstanceTaskList)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6C382FE4"));
    }
    public static IFeishuApprovalInstanceTaskList getLocalInstance(String sessionID) throws BOSException
    {
        return (IFeishuApprovalInstanceTaskList)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6C382FE4"));
    }
}